# Hardware Specification
<br>
## System Requirement


-----


### Host (Hardware)
#### Minimal:
1Ghz CPU (ARM or x86 / x64), 512MB RAM, 8GB Storage, <br>
#### Recommend:
2.2Ghz or faster x86 / x64 CPU, 4GB RAM and 64GB Storage<br>
(Tested with Raspbian on Raspberry Pi Zero W, Pi 3B+, Debian Jessie on Intel x86 and x64 machines)<br>
<br>
### Host (Software)
Raspbian scratch / Debian Jessie / Debian Stretch with Apache Web Server + PHP 5.0 or above (Recommended PHP 7.2),<br> wpa_supplicant, net-tools, Python 3.4 (or above)<br>
Optional: apache mod_XSendFile, php_gd, libav (ffmpeg), samba<br>
<br>
### Client
Any devices that can run Chrome / Firefox / Safari (Tested with Android 8.0 Webview, Firefox and Chrome, Safari on macOS High Sierra, Windows 7, 8.1, 10 with Chrome, Firefox, partially supported Edge)<br>
<br>
### Network Environment
Network speed of 20Mbps or above (Recommended 100Mbps), WiFI (2.4Ghz / 5Ghz) or Ethernet, Dual Interface Required (1 Wireless AP + 1 Ethernet or 1 Wireless AP + 1 Wireless Client)<br>
<br>
## Variant for Public Release

-----


### Variant A: Raspberry PI zero w
Processor: Broadcom BCM2835<br>
RAM: 512MB<br>
Power: 5V<br>
Wireless: 2.4GHz 802.11n<br>
<br>
### variant B: Raspberry PI 3 Model B+
Processor: Broadcom BCM2837B0<br>
RAM: 1GB<br>
Power: 5V<br>
Wireless: 2.4/5GHz 802.11ac, Bluetooth 4.2<br>
NIC: 1Gigabit Ethernet<br>
<br>
### variant C: Raspberry PI 4 Model B+
Processor: Broadcom BCM2711B0<br>
RAM: 1GB-4GB<br>
Power: 5V<br>
Wireless: 2.4/5GHz 802.11ac, Bluetooth 5<br>
NIC: 1Gigabit Ethernet<br>
<br>
### variant D: Orange PI
Processor: Allwinner H3<br>
RAM: 1GB<br>
Power: 5V<br>
NIC: Fast Ethernet<br>
<br>


-----


## Variant for NON Public Release
### variant E: Hyper-V
[ImageLink](https://api.alanyeung.co/ArOZ/ArOZD990wInstaller.vhdx)

### variant F: Virutal Box
[ImageLink](https://drive.google.com/xxx)
