# Introduction to aCloud

### Aims and Objectives
Many off-the-shelf cloud services and infrastructure are only designed for commercial or business purposes. When it comes to non-profiting oriented or general purposes cloud platform for building an elderly health monitoring systems or private data storage, there is no suitable cloud architecture that is low cost and reliable enough to fit the increasing demands on these cloud usage purposes. Hence, it is necessary to have a cloud architecture that is flexible for all kinds of non-business oriented purposes yet maintaining the quality similar to those business oriented cloud system. 
<br>
This project aims to provide a low cost, personal and private cloud architecture in both software and hardware aspect that is distributed with high scalability and reliability for deploying critical systems. 
<br>
### Introduction
ArOZ Online System (Originally named Automated Remote Operating Zigzagger, which Zigzagger implies stiching things together in a good way) was a platform that is designed to store multimedia files with an external hard disk on Raspberry Pi Model B, providing “media center” like experience to users and allows for media consumption in local area network environment. Later, more and more cloud related functions is added into the system for better enhancing the usability of the system including but not limited to web desktop environment, cluster setups and communication pipelines, distributed file systems and in system programmable modules. These modules and subsystems add more functionalities to the cloud platform.
<br>
The current build (ArOZ Online Beta) is a system that provide all of the functions mentioned above and deliver a web-desktop like environment by bridging to the underlying Linux file system. Providing powerful cloud desktop environment for users to be used with any mobile or desktop devices without the constraints of a designated terminal device(s) like personal smartphone or laptops.
<br>
### System Usage
ArOZ Online System can be run on a portable devices, miniature NAS system or server grade computers. Hence, the system will suit the needs for many different usages, including portable workstation, media conversion or consumption, data backups and restore etc. With ArOZ Online Clustering ability, the system can also be deployed as a mini IoT server for elderly health monitoring systems, IoT hub for home automation and more.
<br>
Featuring no hardware dependent designs and databases with the ease of clustering and distributed storage, ArOZ Online System could provide the foundation for many critical system and protect personal privacy with a limited budget.
<br>