# Install via SSH / Terminal
ArOZ Online System can be installed on your devices through ssh.
The process goes as follows.

### Installing ArOZ Online Base
1. Open Terminal at your web root directory with the following commands.
	```
	cd /var/www/html
	```
2.  Download the update package as zip file in the current directory.
	```
	wget {url to the update pack}
	```
3. Unzip the update pack to web root.
	```
	unzip install.zip
	```
4. Give AOB directory full permission to read write files within ArOZ Online Root (AOR). Assume your ArOZ Online System has been unzip to /var/www/html/AOB/
	```
	sudo chmod 777 -R ./AOB
	```

### Permission Settings

ArOZ Online System require permissions to write to the following directories and files.

- /etc/AOB (Default, can be changed in auth.php)
- /etc/network/interfaces/
- /media/storage* (Linux only)

It is recommend to add www-data directly into sudoers.

```
sudo nano /etc/sudoers

(scroll to the bottom of the file, add the following line)

www-data	ALL=(ALL:ALL) NOPASSWD:ALL

(To save, press Ctrl + X then Y )
```

### Other Module Dependencies
For other modules package dependencies, please refer to independent WebApps publish page for more information.

